Skip to main content
GET
/
agents
/
{id}
Get agent
curl --request GET \
  --url https://api.akua.dev/v1/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "capabilities": [],
  "ambient": {
    "enabled": true,
    "triggers": [
      {
        "trigger_id": "<string>",
        "cooldown_seconds": 123,
        "relationship_scope": {},
        "resource_filters": [
          {
            "type": "<string>",
            "id": "<string>"
          }
        ],
        "quiet_hours": {
          "timezone": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ],
    "policy": {
      "allowed_resource_scopes": [
        {
          "type": "<string>",
          "id": "<string>"
        }
      ],
      "max_spend_cents_per_trigger": 1
    }
  },
  "model_policy": {
    "default_model": "<string>",
    "credential_secret_id": "<string>",
    "allowed_models": [
      "<string>"
    ],
    "severity_model_overrides": [
      {
        "model": "<string>"
      }
    ],
    "max_budget_cents": 1,
    "max_turn_budget_cents": 1
  },
  "created_by": "<string>",
  "usage_summary": {
    "provider_cost_cents": 1,
    "provider_token_count": 1,
    "runtime_compute_seconds": 1,
    "runtime_storage_gb_hours": 1,
    "mcp_call_count": 1,
    "api_call_count": 1,
    "ambient_trigger_count": 1
  },
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required
Required string length: 1 - 54

Response

Agent

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
organization_id
string | null
required
Required string length: 1 - 54
name
string
required
description
string | null
required
instructions
string
required
state
enum<string>
required
Available options:
ENABLED,
ARCHIVED
origin
enum<string>
required
Available options:
PLATFORM,
USER,
SYSTEM
capabilities
enum<string>[]
required
Available options:
CHAT,
CODING,
AMBIENT
ambient
object
required
model_policy
object
required
created_by
string
required
usage_summary
object
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required